Subject: bug#24427: 25.1.50; end-of-defun jumps too far

From: Marcin Borkowski <[email-masked]>
Date: Thu, 22 Sep 2016 12:35:22 +0200

On 2016-09-21, at 21:59, Marcin Borkowski <[email-masked]> wrote:

> On 2016-09-20, at 20:31, Robert Cochran <[email-masked]> wrote:
>
>> Ping!
>>
>> Has anyone had the opportunity to look over this?
>
> Hi,
>
> I'm extremely busy right now, but I looked into it and it seemed to
> break some other tests of mine.  I haven't yet found the problem (or
> even confirmed it), but I expect to have some time for it in the next
> few days.

OK, so here's the problem I found when running my personal tests for my
`mark-defun'.

Consider this Elisp buffer:

--8<---------------cut here---------------start------------->8---
;; Comment header

(defun func-1 (arg)
  "docstring"
  body)
-!-
;; Comment before a defun
(defun func-2 (arg)
  "docstring"
  body)

(defun func-3 (arg)
  "docstring"
  body)
(defun func-4 (arg)
  "docstring"
  body)

;; end
--8<---------------cut here---------------end--------------->8---

where -!- means the point location.  Now press C-u 2 C-M-e, and you
moved by one defun instead of two.

Best,

-- 
Marcin Borkowski